Deals
GB GBP

Shop in

Store prices are shown for one country at a time, in its own currency.

Compare specs

Ad · Prices from partner stores, sorted cheapest first. We may earn a commission when you buy through our links; it never changes the order.

D-Link 12-port 10GBASE-T, 2-port SFP+ and 2-port 10GBASE-T/SFP+ Multi-Gigabit Smart Managed Switch

D-Link · Network Switch

D-Link 12-port 10GBASE-T, 2-port SFP+ and 2-port 10GBASE-T/SFP+ Multi-Gigabit Smart Managed Switch price in United Kingdom

Model DXS-1210-16TCMPN DXS-1210-16TCMPN DXS 1210 16TCMPN DXS-1210-16TC+DXE-820TEAN 790069428548

  • Weight3.15 kg
  • ColourBlack
  • Switch typeManaged
  • Basic switching RJ-45 Ethernet ports quantity12

Lowest price incl. delivery

£1,668.99

at Back to the OfficeFree deliveryIn stock

  • 1 store
  • 1 in stock
  • 1 with free delivery
  • Checked 5 Oct 2026, 18:25 UTC

Ad · prices and stock as last reported by the store; the store's checkout is what counts.

Full specifications and side-by-side comparison

Prices in United Kingdom

1 store · prices in GBP · updated 5 Oct 2026, 18:25 UTC

Lowest price£1,668.99at Back to the Office · free shippingGo to Back to the Office (opens in a new tab)
Price range across 1 offer

Every store asks the same price.

  • 1 of 1 stores in stock
  • 1 with free shipping
  • Checked 5 Oct 2026, 18:25 UTC

  1. Back to the OfficeLowest priceD-Link 12-port 10GBASE-T, 2-port SFP+ and 2-port 10GBASE-T/SFP+ Multi-Gigabit Smart Managed Switch In stockFree shipping
    £1,668.99incl. free shipping
    Go to store : Back to the Office (opens in a new tab)

Ad: we may earn a commission when you buy through these links; it never changes the order, which is by total price only. Prices and stock are shown as each store states them, as of 5 Oct 2026, 18:25 UTC, and can change at any time. Taxes are included only where the store includes them.

Price history in United Kingdom

Price history is being collected. After 14 days of prices we will show whether today's price is good.

Product details

Identification

Brand
D-Link
Product
12-port 10GBASE-T, 2-port SFP+ and 2-port 10GBASE-T/SFP+ Multi-Gigabit Smart Managed Switch
Full name
D-Link 12-port 10GBASE-T, 2-port SFP+ and 2-port 10GBASE-T/SFP+ Multi-Gigabit Smart Managed Switch
Manufacturer part number
DXS-1210-16TC, DXS 1210 16TC, DXS-1210-16TC+DXE-820T
EAN / UPC
790069428548

77 specifications from the manufacturer's data sheet

Management features

Switch typeManaged
Switch layerL2
Quality of Service (QoS) supportYes
Web-based managementYes
ARP inspectionYes
System event logYes
MIB supportRFC 783, RFC 951, RFC 1157, RFC 1213, RFC 1215, RFC 1350, RFC 1493, RFC 1769, RFC 1542, RFC 1901, RFC 1907, RFC 1908, RFC 2131, RFC 2138, RFC 2139, RFC 2233, RFC-2246, RFC 2475, RFC 2570, RFC 2575, RFC 2598, RFC 2618, RFC 2819, RFC 2865, RFC 3164, RFC 3195, RFC 3411-17

Ports & interfaces

Basic switching RJ-45 Ethernet ports quantity12
Basic switching RJ-45 Ethernet ports type10G Ethernet (100/1000/10000)
Combo SFP ports quantity2
SFP+ module slots quantity2

Network

Networking standardsIEEE 802.1D, IEEE 802.1Q, IEEE 802.1s, IEEE 802.1w, IEEE 802.1x, IEEE 802.3ab, IEEE 802.3ad, IEEE 802.3ae, IEEE 802.3an, IEEE 802.3az, IEEE 802.3p, IEEE 802.3u, IEEE 802.3z
10G supportYes
Copper ethernet cabling technology10GBASE-T, 100BASE-TX, 1000BASE-T
Port mirroringYes
Auto MDI/MDI-XYes
Broadcast storm controlYes
Flow control supportYes
Head-of-line (HOL) blockingYes
Spanning tree protocolYes
VLAN supportYes
Virtual LAN featuresVoice VLAN, MAC address-based VLAN, Port-based VLAN

Optical fiber

Fiber ethernet cabling technology1000BASE-X

Data transmission

MAC address table16000 entries
Switching capacity320 Gbit/s
Forwarding rate238.08 Mpps
Store-and-forwardYes
Jumbo frames supportYes
Jumbo frames16000

Security

DHCP featuresDHCP server, DHCP client
Access Control List (ACL)Yes
Access Control List (ACL) rules256
IGMP snoopingYes
IP-MAC-Port bindingYes
Security algorithms802.1x RADIUS, SNMP, SSL/TLS

Multicast features

Multicast supportYes
Multicast Listener Discovery (MLD) snoopingMLD v

Protocols

Supported network protocolsIPv4, IPv6

Design

Rack mountingYes
Product colourBlack
LED indicatorsActivity, Link, Power, Speed
SafetycUL, CB, CE, CCC, BSMI

Performance

Built-in processorYes

Power

AC input voltage120 - 230 V
AC input frequency50 - 60 Hz
Power consumption (max)90.81 W

Power over Ethernet (PoE)

Power over Ethernet (PoE)No

Operational conditions

Operating temperature (T-T)-5 - 50 °C
Storage temperature (T-T)-40 - 70 °C
Operating relative humidity (H-H)0 - 95%
Storage relative humidity (H-H)0 - 95%

Weight & dimensions

Width440 mm
Depth210 mm
Height44 mm
Weight3.15 kg

Packaging data

Package width349 mm
Package depth546 mm
Package height96 mm
Package weight4.53 kg

Technical details

Master (outer) cases per pallet (air)18 pc(s)
Master (outer) cases per pallet (sea)30 pc(s)
Pallet gross length110 cm
Pallet gross weight (air)281.1 kg
Pallet gross weight (sea)456 kg
Pallet gross width120 cm
Pallet height (air)128.4 cm
Pallet height (sea)2.05 m
Products per pallet (air)54 pc(s)
Products per pallet (sea)90 pc(s)
Products per shipping (inner) case3 pc(s)
Shipping (inner) case gross weight14.5 kg
Shipping (inner) case height38.3 cm
Shipping (inner) case length56.2 cm
Shipping (inner) case net weight13.6 kg
Shipping (inner) case width31.4 cm

Certificates

CertificationCE, FCC, C-Ticket, VCCI, BSMI, CCC

Logistics data

Harmonized System (HS) code85176990

More network switches deals in United Kingdom

All network switches deals